/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 1.13A */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/kernel.h>
#include <assert.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "chatrooms.h"
#include "abimport.h"
#include "proto.h"

#include "chatrooms_vars.h"


int
about_setup( PtWidget_t *link_instance, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{
	REQ_GETINFOS		req;
	ANSWER_GETINFOS		answer;
	int					status;

	/* eliminate 'unreferenced' warnings */
	link_instance = link_instance, apinfo = apinfo, cbinfo = cbinfo;

	/* Show the version number and the date of the software */
	setString( ABW_about_version, "Version %d.%d.%c (%04d/%02d/%02d)",
		(VERSION_NB >> 16), (VERSION_NB >> 8) & 0xFF, (VERSION_NB & 0xFF) + 'a',
		(VERSION_DATE >> 16) + 1998, (VERSION_DATE >> 8) & 0xFF, (VERSION_DATE & 0xFF));

	/* Send the request to the server */	
	req.hdr.type = RQ_GETINFOS;
	req.userno   = userno;
	status = Send( server_vid, &req, &answer, 
		sizeof( REQ_GETINFOS ), sizeof( ANSWER_GETINFOS ) );
	assert( status == 0 );

	/* Show the infos */
	setString( ABW_about_server_where, "%d", answer.server_node );
	setString( ABW_about_users_nb, "%d", answer.nb_users );

	return( Pt_CONTINUE );

	}	// about_setup
